Package org.eclipse.rdf4j.repository.manager.util

## Class NotifyingLocalRepositoryManager

- java.lang.Object
- - org.eclipse.rdf4j.repository.manager.RepositoryManager
  - - org.eclipse.rdf4j.repository.manager.LocalRepositoryManager
    - - org.eclipse.rdf4j.repository.manager.util.NotifyingLocalRepositoryManager

- All Implemented Interfaces:
    `HttpClientDependent`, `RepositoryResolver`

      public class NotifyingLocalRepositoryManager
      extends LocalRepositoryManager

  NotifyingLocalRepositoryManager extends LocalRepositoryManager with support for registering listeners. In time this class is likely to become redundant as RepositoryManager may be extended with listener support. This functionality can currently not be implemented as a wrapper around any existing RepositoryManager due to the fact that RepositoryManager defines abstract protected methods. A wrapper class cannot implement these methods in a meaningful way by itself and, because of the protected access, cannot invoke it on the wrapped RepositoryManager either.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.repository.manager.LocalRepositoryManager

      `REPOSITORIES_DIR`

    - ### Fields inherited from class org.eclipse.rdf4j.repository.manager.RepositoryManager

      `initializedRepositories, logger, NAMESPACE, PROXIED_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotifyingLocalRepositoryManager​(File baseDir)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRepositoryManagerListener​(RepositoryManagerListener listener)` |
    `void` | `initialize()` | Initializes the repository manager.
    `void` | `refresh()` | Shuts down all initialized user repositories.
    `void` | `removeRepositoryManagerListener​(RepositoryManagerListener listener)` |
    `void` | `shutDown()` | Shuts down all initialized repositories, including the SYSTEM repository.

    - ### Methods inherited from class org.eclipse.rdf4j.repository.manager.LocalRepositoryManager

      `addRepositoryConfig, createRepository, createSystemRepository, getAllRepositoryInfos, getBaseDir, getFederatedServiceResolver, getHttpClient, getLocation, getRepositoryConfig, getRepositoryDir, getRepositoryInfo, getSesameClient, getSystemRepository, removeRepository, resolvePath, setHttpClient`

    - ### Methods inherited from class org.eclipse.rdf4j.repository.manager.RepositoryManager

      `cleanUpRepository, getAllRepositories, getAllRepositoryInfos, getAllUserRepositoryInfos, getInitializedRepositories, getInitializedRepositoryIDs, getModelFactory, getNewRepositoryID, getRepository, getRepositoryIDs, hasRepositoryConfig, init, isInitialized, isSafeToRemove, removeRepositoryConfig, setInitializedRepositories, setModelFactory, updateInitializedRepositories`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotifyingLocalRepositoryManager

          public NotifyingLocalRepositoryManager​(File baseDir)

  - ### Method Detail

    - #### addRepositoryManagerListener

          public void addRepositoryManagerListener​(RepositoryManagerListener listener)

    - #### removeRepositoryManagerListener

          public void removeRepositoryManagerListener​(RepositoryManagerListener listener)

    - #### initialize

          public void initialize()
                          throws RepositoryException

      Description copied from class: `RepositoryManager`
      Initializes the repository manager.
      Overrides:
        `initialize` in class `RepositoryManager`
      Throws:
        `RepositoryException` - If the manager failed to initialize

    - #### refresh

          public void refresh()

      Description copied from class: `RepositoryManager`
      Shuts down all initialized user repositories.
      Overrides:
        `refresh` in class `RepositoryManager`
      See Also:
        `RepositoryManager.shutDown()`

    - #### shutDown

          public void shutDown()

      Description copied from class: `RepositoryManager`
      Shuts down all initialized repositories, including the SYSTEM repository.
      Overrides:
        `shutDown` in class `LocalRepositoryManager`
      See Also:
        `RepositoryManager.refresh()`